## org.eclipse.amp.escape.ascape.chart
Class AscapeDataProvider

    java.lang.Object
      org.eclipse.amp.escape.ascape.chart.AscapeDataProvider

All Implemented Interfaces:
  IDataProvider, org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider

    public class AscapeDataProvider

extends java.lang.Object
implements IDataProvider, org.eclipse.jface.viewers.ILabelProvider

The Class AscapeDataProvider.

Constructor Summary
`AscapeDataProvider()`

Method Summary
`void` `addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`
`void` `addListener(java.lang.Object dataSource, IDataSelectionListener listener)` Adds the listener.
`void` `dispose()`
`java.util.List<java.lang.String>` `getCategoryLabels(java.lang.Object dataSource)` Gets the category labels.
`java.lang.Object` `getDataSource(java.lang.Object model)` Gets the data source.
`org.eclipse.swt.graphics.Image` `getImage(java.lang.Object element)`
`java.lang.String` `getText(java.lang.Object valueSource)`
`java.lang.Object` `getValues(java.lang.Object valueSource)` Gets the values.
`java.util.List` `getValueSets(java.lang.Object valueSelection)` Gets the value sets.
`boolean` `isLabelProperty(java.lang.Object element, java.lang.String property)`
`void` `removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`
`void` `removeListener(java.lang.Object dataSource, IDataSelectionListener listener)` Removes the listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AscapeDataProvider

    public AscapeDataProvider()

Method Detail

### getDataSource

    public java.lang.Object getDataSource(java.lang.Object model)

  Description copied from interface: `IDataProvider`
  Gets the data source.

  Specified by:
    `getDataSource` in interface `IDataProvider`
  Parameters:
    `model` -
  Returns:
  See Also:
    `IDataProvider.getDataSource(java.lang.Object)`

### getCategoryLabels

    public java.util.List<java.lang.String> getCategoryLabels(java.lang.Object dataSource)

  Description copied from interface: `IDataProvider`
  Gets the category labels.

  Specified by:
    `getCategoryLabels` in interface `IDataProvider`
  Parameters:
    `dataSource` -
  Returns:
  See Also:
    `IDataProvider.getCategoryLabels(java.lang.Object)`

### getValues

    public java.lang.Object getValues(java.lang.Object valueSource)

  Description copied from interface: `IDataProvider`
  Gets the values.

  Specified by:
    `getValues` in interface `IDataProvider`
  Parameters:
    `valueSource` -
  Returns:
  See Also:
    `IDataProvider.getValues(java.lang.Object)`

### getValueSets

    public java.util.List getValueSets(java.lang.Object valueSelection)

  Description copied from interface: `IDataProvider`
  Gets the value sets.

  Specified by:
    `getValueSets` in interface `IDataProvider`
  Parameters:
    `valueSelection` -
  Returns:
  See Also:
    `IDataProvider.getValueSets(java.lang.Object)`

### addListener

    public void addListener(java.lang.Object dataSource,
                            IDataSelectionListener listener)

  Description copied from interface: `IDataProvider`
  Adds the listener.

  Specified by:
    `addListener` in interface `IDataProvider`
  Parameters:
    `dataSource` -
    `listener` -
  See Also:
    `IDataProvider.addListener(java.lang.Object, org.eclipse.amp.agf.chart.IDataSelectionListener)`

### removeListener

    public void removeListener(java.lang.Object dataSource,
                               IDataSelectionListener listener)

  Description copied from interface: `IDataProvider`
  Removes the listener.

  Specified by:
    `removeListener` in interface `IDataProvider`
  Parameters:
    `dataSource` -
    `listener` -
  See Also:
    `IDataProvider.removeListener(java.lang.Object, org.eclipse.amp.agf.chart.IDataSelectionListener)`

### getImage

    public org.eclipse.swt.graphics.Image getImage(java.lang.Object element)

  Specified by:
    `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Parameters:
    `element` -
  Returns:
  See Also:
    `ILabelProvider.getImage(java.lang.Object)`

### getText

    public java.lang.String getText(java.lang.Object valueSource)

  Specified by:
    `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Parameters:
    `valueSource` -
  Returns:
  See Also:
    `ILabelProvider.getText(java.lang.Object)`

### addListener

    public void addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `addListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  Parameters:
    `listener` -
  See Also:
    `IBaseLabelProvider.addListener(org.eclipse.jface.viewers.ILabelProviderListener)`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  See Also:
    `IBaseLabelProvider.dispose()`

### isLabelProperty

    public boolean isLabelProperty(java.lang.Object element,
                                   java.lang.String property)

  Specified by:
    `isLabelProperty` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  Parameters:
    `element` -
    `property` -
  Returns:
  See Also:
    `IBaseLabelProvider.isLabelProperty(java.lang.Object, java.lang.String)`

### removeListener

    public void removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `removeListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`
  Parameters:
    `listener` -
  See Also:
    `IBaseLabelProvider.removeListener(org.eclipse.jface.viewers.ILabelProviderListener)`